Mi?rcoles, 10 de marzo de 2010

Probé el script IES4Linux para bajar y testear Internet Explorer 6.0 en Linux (y también el 7) esto con el objetivo de probar cierta web que estoy "desarrollando" y ver como se mira en Internet Explorer y pues les contaré como hice:


1. Bajar e instalar el wine mas reciente:

Para mandriva 2010.0 hay que bajar el paquete rpm que ofrecen en http://www.winehq.org/download, este paquete rpm(wine-1.1.39-1mdv2010.0.i586.rpm) requiere el wine-gecko, hice una búsqueda en http://rpm.pbone.net/ y solo me salía una             versión para el mandriva 2009.1 así que instale los dos paquetes de la siguiente manera (consolaen modo root):


bash-4.0$ su
Password:
[[email protected] israel]# rpm  --force --nodeps -i  wine-gecko-1.0.0-1mdv2009.1.i586.rpm
[[email protected] israel]# rpm -ivh wine-1.1.39-1mdv2010.0.i586.rpm


Con esto la última versión de wine queda a punto. Lo siguiente es:

2.Instalar cabextract

 [[email protected] israel]# urpmi cabextract

Lo necesita el ies4linux.

3. Bajar y ejecutar el ies4linux:


Accesas a http://www.tatanka.com.br/ies4linux/page/Installation:Mandriva y te bajas el archivo http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz 

Con tu administrador de archivos preferido descomprimes el tar.gz en tu carpeta home y te cambias a la carpeta desde la consola:


[[email protected] israel]# exit

bash-4.0$ cd ies4linux-2.99.0.1/

bash-4.0$ ./ies4linux


Observen que me salí de root y descomprimí el tar.gz en mi home, esto es para que se instale correctamente el script y  queden en tu home los Internet Explorer Sonrisa, luego la pantalla que sale es esta:



Como ven solo está seleccionado el Internet Explorer 6, podemos tambien poner a bajar el 7 pero en lo personal nunca cargó una web XD:



Ok luego de clickear lo que queremos el script comienza a bajar todos los paquetes necesarios (son bastantes) y a instalarlos. El script es inestable, algunas veces se crashea pero luego sigue bajando n_n, una vez hecho esto y haber clikeado varios mensajes de horror el script te informa que ya tenes internet exploiter instalado:


 

Y podemos testear el internet exploiter tecleando

bash-4.0$pwd

/home/israel    --> nos aseguramos que estamos sobre nuestro home

bash-4.0$ bin/ie6


Y wallá:



En general tenemos un Internet Explorer 6.0 decente con flash 9.0, pero para que siga la tradición en algunos sitios sofisticados falla:



Youtube no sirve... T_T


Pero para diseñadores webs es conveniente tener Internet Explorer.


Tags: internet explorer, internet exploiter, wine, linux, instalar, mandriva, 2010.0

Publicado por Israeru @ 20:00  | Linux
Comentarios (0)  | Enviar
Comentarios